Package Halberd :: Module crew :: Class ScanState

[show private | hide private]
[frames | no frames]

## Class ScanState

Shared state among scanner threads.

Method Summary
| ``__init__`(self)` Initializes shared state among scanning threads.
`list` | ``getClues`(self)` Clue accessor.
| ``getError`(self)` Returns the reason of the error condition.
`tuple` | ``getStats`(self)` Provides statistics about the scanning process.
| ``incMissed`(self)` Increase the counter of missed replies.
| ``insertClue`(self, clue)` Inserts a clue in the list if it is new.
| ``setError`(self, err)` Signal an error condition.

Instance Variable Summary
`threading.Event` caught with an exception). | `shouldstop`: Signals when the threads should stop scanning.

Method Details

### __init__(self)
(Constructor)

Initializes shared state among scanning threads.

### getClues(self)

Clue accessor.

  Returns:
    A copy of all obtained clues.
    (type=`list`)

### getError(self)

Returns the reason of the error condition.

### getStats(self)

Provides statistics about the scanning process.

  Returns:
    Number of clues gathered so far, number of successful requests and number of unsuccessful ones (missed replies).
    (type=`tuple`)

### incMissed(self)

Increase the counter of missed replies.

### insertClue(self, clue)

Inserts a clue in the list if it is new.

### setError(self, err)

Signal an error condition.

Instance Variable Details

### shouldstop

Signals when the threads should stop scanning.

  Type:

    `threading.Event`

    caught with an exception).

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net